Subject: bug#39990: closed (Re: [bug#39990] [PATCH] gnu: Update python-statsmodels to 0.11.1.)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 09 Mar 2020 12:06:02 +0000

Your bug report

#39990: [PATCH] gnu: Update python-statsmodels to 0.11.1.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
39990: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=39990
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#39990] [PATCH] gnu: Update python-statsmodels to 0.11.1.
From: Roel Janssen <[email-masked]>
To: Efraim Flashner <[email-masked]>
Cc: [email-masked]
Date: Mon, 09 Mar 2020 13:04:59 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On Mon, 2020-03-09 at 13:47 +0200, Efraim Flashner wrote:
> On Mon, Mar 09, 2020 at 12:20:47PM +0100, Roel Janssen wrote:
> > On Mon, 2020-03-09 at 12:45 +0200, Efraim Flashner wrote:
> > > On Sun, Mar 08, 2020 at 11:19:06PM +0100, Roel Janssen wrote:
> > > > Dear Guix,
> > > > 
> > > > I'd like to update python-statsmodels because I'm packaging
> > > > something
> > > > that requires a newer version.
> > > > 
> > > > The patch is trivial, but I'm unsure whether it would trigger
> > > > too
> > > > many
> > > > rebuilds.  How do I check this?
> > > 
> > > 'guix refresh --list-dependent python-statsmodels' will give you
> > > a
> > > list of leaf
> > > packages affected by this package. As a python package, you
> > > should
> > > also
> > > check the python2- variant, so 'guix refresh -l python-
> > > statsmodels
> > > python2-statsmodels'
> > > 
> > 
> > Thanks!  Is my conclusion correct that, by updating python-
> > statsmodels
> > (and thus python2-statsmodels), only "ribodiff" will be
> > rebuilt?  And
> > therefore, the update can be pushed to master directly?
> 
> Yep, straight to master. Although if ribodiff builds before your
> patch
> and then doesn't after you're on the hook to fix it :)

Hehe.  Well, it ribodiff seems to fail even with the older python-
statsmodels.  I am looking into it right away.

Thanks for your help!  I pushed the update in b6574660e3.

Kind regards,
Roel Janssen

Subject: [PATCH] gnu: Update python-statsmodels to 0.11.1.
From: Roel Janssen <[email-masked]>
To: [email-masked]
Date: Sun, 08 Mar 2020 23:19:06 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Dear Guix,

I'd like to update python-statsmodels because I'm packaging something
that requires a newer version.

The patch is trivial, but I'm unsure whether it would trigger too many
rebuilds.  How do I check this?

Kind regards,
Roel Janssen

From d093fc2baac1102685b4d14bd8bfed2d20da2545 Mon Sep 17 00:00:00 2001
From: Roel Janssen <[email-masked]>
Date: Sun, 8 Mar 2020 23:16:34 +0100
Subject: [PATCH] gnu: Update python-statsmodels to 0.11.1.

* gnu/packages/statistics.scm (python-statsmodels): Update to 0.11.1.
---
 gnu/packages/statistics.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/statistics.scm b/gnu/packages/statistics.scm
index 12d8a20766..13d64be498 100644
--- a/gnu/packages/statistics.scm
+++ b/gnu/packages/statistics.scm
@@ -1880,14 +1880,14 @@ building design matrices.")
 (define-public python-statsmodels
   (package
     (name "python-statsmodels")
-    (version "0.9.0")
+    (version "0.11.1")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "statsmodels" version))
        (sha256
         (base32
-         "0fxs8a7sp4d7jvqlm36yi45i2d28kjfvraf9q8i9jr1chhxgjqb4"))))
+         "1w6mf8b86vizi2895j11szqryr2v1ckjig3wp9fv94aslfh3zpjv"))))
     (build-system python-build-system)
     (arguments
      `(;; The test suite is very large and rather brittle.  Tests often fail
-- 
2.25.1